Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.init
Class JdicManager

    java.lang.Object
      org.jdesktop.jdic.init.JdicManager

    public class JdicManager

extends java.lang.Object

Initialization manager for JDIC to set the environment variables or initialize the set up for native libraries and executable files.

There are 3 modes of operation: WebStart, file system, and .jar file.

When using WebStart, please specify a .jar file(jdic-native.jar) with the native libraries for your platform to be loaded by WebStart in your JNPL. This class will find the unjared native libraries and executables, and use them directly.

If not in WebStart, the system will expect the native libraries to be located in directory at the root of the classpath or .jar containing this class.

Since:
  July 29, 2004

Method Summary
`java.lang.String` | `getBinaryPath()`
`static JdicManager` | `getManager()` Returns a singleton instance of `JdicManager`.
`void` | `initShareNative()` Initializes the shared native file settings for all the JDIC components/ packages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getManager

    public static JdicManager getManager()

  Returns a singleton instance of `JdicManager`.

### initShareNative

    public void initShareNative()
                         throws JdicInitException

  Initializes the shared native file settings for all the JDIC components/ packages. Set necessary environment variables for the shared native library and executable files, including *.dll files on Windows, and *.so files on Unix.

  Throws:
    `JdicInitException` - Generic initialization exception

### getBinaryPath

    public java.lang.String getBinaryPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.